Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 29124 - Create minimal implementations of most/all openide singleton interfaces
Create minimal implementations of most/all openide singleton interfaces
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: -- Other --
3.x
All All
: P3 (vote)
: 6.x
Assigned To: Jesse Glick
issues@platform
: UMBRELLA
Depends on: 29933 30031 30191 32087 32092 32154 41170
Blocks: 17815
  Show dependency treegraph
 
Reported: 2002-11-28 14:27 UTC by Jesse Glick
Modified: 2008-12-22 09:50 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2002-11-28 14:27:31 UTC
Suggest creation of a special subproject under
openide to contain simple implementations of
openide interfaces, suitable for standalone use.
For example, an IOProvider that just prints to
stdout. Use META-INF/services/ to register these.
Then you could have a functioning non-GUI subset
of NetBeans just by setting your classpath correctly.
Comment 1 Jaroslav Tulach 2002-12-10 12:11:29 UTC
Why not include this minimal impl in IOProvider itself? When nothing
is found in Lookup it could create IOProvider$Dummy and return it.
Could 100%  guarantee that an impl is returned.
Comment 2 Jesse Glick 2002-12-10 17:03:04 UTC
Yes, this is also an option. I am undecided whether this is actually
preferable to having the impls live separately - since normally in NB
they will not be used, it is a little strange to include them in
openide*.jar anyway. But it might be the best approach.

If you have specific impls you need for some purpose, don't hesitate
to create subtasks and assign them to yourself as needed. I'm not sure
 when I will get a chance to work on this exactly.
Comment 3 Jesse Glick 2004-07-08 01:10:08 UTC
Some more:

committed   * Up-To-Date  1.6        
openide/execution/src/org/openide/execution/ExecutionEngine.java
committed   * Up-To-Date  1.3        
openide/io/src/org/openide/windows/IOProvider.java
committed   * Up-To-Date  1.3        
openide/src/org/openide/LifecycleManager.java

used by:

committed   * Up-To-Date  1.3        
ant/test/unit/src/org/apache/tools/ant/module/spi/AntLoggerTest.java
Comment 4 Jesse Glick 2004-07-30 19:43:57 UTC
Also for URLDisplayer:

committed     Up-To-Date  1.93       
openide/src/org/openide/awt/HtmlBrowser.java
Comment 5 Jaroslav Tulach 2005-06-04 07:36:55 UTC
Why this is still not done, or why this blocks issue 19443? I am going to 
close 19443 and it has indirect dependency on this one. It should either be 
removed or this issue closed. 
Comment 6 Jesse Glick 2005-06-06 19:40:55 UTC
This issue should not be closed because it is not done yet. If you want to make
it no longer block #19443, doesn't matter to me.
Comment 7 Jesse Glick 2008-12-10 00:37:52 UTC
I guess it's done.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo